# checkpoint_access_rule_facts – Get access rules objects facts on Check Point over Web Services API

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Get access rules objects facts on Check Point devices. All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
layer string / required |  | Layer the access rule is attached to.
name string |  | Name of the access rule. If not provided, UID is required.
uid string |  | UID of the access rule. If not provided, name is required.

## Examples

    - name: Get access rule facts
      checkpoint_access_rule_facts:
        layer: Network
        name: "Drop attacker"

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ansible by Red Hat (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.